> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable an API key

> Re-enable a disabled API key.



## OpenAPI

````yaml /openapi.json post /v1/api-keys/{key_id}/enable
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/api-keys/{key_id}/enable:
    post:
      tags:
        - Account
      summary: Enable an API key
      description: Re-enable a disabled API key.
      operationId: api_keys_enable
      parameters:
        - name: key_id
          in: path
          required: true
          schema:
            title: Key Id
            type: string
          description: Public API key identifier returned by GET /v1/api-keys.
      responses:
        '200':
          description: Updated API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyResponse'
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: HTTP 503 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ApiKeyResponse:
      additionalProperties: true
      properties:
        key_id:
          title: Key Id
          type: string
        name:
          title: Name
          type: string
        status:
          title: Status
          type: string
        api_key:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Api Key
        prefix:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Prefix
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Created At
        last_used_at:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Last Used At
        disabled_at:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Disabled At
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Expires At
        rotated_from_key_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Rotated From Key Id
        rotated_at:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Rotated At
      required:
        - key_id
        - name
        - status
      title: ApiKeyResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object

````